//+------------------------------------------------------------------+
//|                                                 average of 5.mq4 |
//|                        Copyright 2017, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//|                                                     high low.mq4 |
//|                        Copyright 2017, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
extern double lot = 1.0;
extern int sl = 100;
extern int tp = 100;
extern int tf = 0;
extern int slippage = 5;

double DailyOpen     =   iOpen(NULL,PERIOD_D1,0);
double CurrentBar    =   iOpen(NULL,0,0);

int ticket;

//functions to open buy and sell orders
void openBuy()
         {
          ticket = OrderSend(Symbol(),OP_BUY,lot,Ask,slippage,Ask-sl*Point,Ask+tp*Point,"EA Trade");
         }
void openSell()   
         {
          ticket = OrderSend(Symbol(),OP_SELL,lot,Bid,slippage,Bid+sl*Point,Bid-tp*Point,"EA Trade");
         } 
// functions for trend identification
bool trendLong()
   {
      if (CurrentBar > DailyOpen)
    {  
      return (true);
    }
    else return(EMPTY_VALUE);
   }
   
 bool trendShort()
   {   
      if (CurrentBar < DailyOpen)
      {
      return(true);
      }
      else return (EMPTY_VALUE);
  }



//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
     






   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {

   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
   {   
      if (trendLong() == true)
      ticket = OrderSelect(ticket,SELECT_BY_TICKET);
      if (OrdersTotal() != 0)
         {
      ticket = OrderClose(ticket,lot,Bid,slippage);
         }
         else
         {
         (OrderCloseTime() < CurrentBar);
         openBuy();
         }
      if (trendShort() == true)
      ticket = OrderSelect(ticket,SELECT_BY_TICKET);
      if (OrdersTotal() != 0)
         {
         ticket = OrderClose(ticket,lot,Bid,slippage);
         }
      else
         {
         (OrderCloseTime() < CurrentBar);
         openSell();
         }
       }
  
//+------------------------------------------------------------------+
